This commit is contained in:
Stephan Raabe 2024-05-27 13:39:44 +02:00
parent 565d99a103
commit 99e132b989
15 changed files with 50 additions and 29 deletions

View File

@ -80,7 +80,7 @@ if [ -d ~/dotfiles ] || ! test -L ~/.bashrc || [ -d ~/.config/hypr ] || [ -d ~/.
if ! test -L ~/.config/swappy && [ -d ~/.config/swappy ] ;then
echo " - $HOME/.config/swappy/"
fi
echo
# Start Backup
if gum confirm "Do you want to create a backup?" ;then

View File

@ -17,7 +17,8 @@ if [ ! -d ~/dotfiles ];then
if gum confirm "DO YOU WANT TO START THE INSTALLATION OF THE ML4W DOTFILES NOW?" ;then
echo "Installation started."
elif [ $? -eq 130 ]; then
exit 130
echo ":: Installation canceled."
exit 130
else
echo ":: Installation canceled."
exit;
@ -26,7 +27,8 @@ else
if gum confirm "DO YOU WANT TO START THE UPDATE OF YOUR ML4W DOTFILES NOW?" ;then
echo ":: Update started."
elif [ $? -eq 130 ]; then
exit 130
echo ":: Update canceled."
exit 130
else
echo ":: Update canceled."
exit;

View File

@ -13,22 +13,23 @@ fi
if [ ! -d ~/dotfiles ]; then
echo "The script will now remove existing directories and files from ~/.config/"
echo "and copy your prepared configuration from ~/dotfiles-versions/$version to ~/dotfiles"
echo ""
echo
echo "Symbolic links will then be created from ~/dotfiles into your ~/.config/ directory."
echo ""
echo
fi
if [[ ! $(tty) == *"pts"* ]] && [ -d ~/dotfiles ]; then
echo "You're running the script in tty. You can delete the existing ~/dotfiles folder now for a clean installation."
echo "If not, the script will overwrite existing files but will not remove additional files or folders of your custom configuration."
echo ""
echo
else
if [ -d ~/dotfiles ]; then
echo "The script will overwrite existing files but will not remove additional files or folders from your custom configuration."
echo
fi
fi
if [ ! -d ~/dotfiles ]; then
echo "PLEASE BACKUP YOUR EXISTING CONFIGURATIONS in .config IF NEEDED!"
echo ""
echo
fi
if gum confirm "Do you want to install the prepared dotfiles now?" ;then
@ -50,8 +51,10 @@ if gum confirm "Do you want to install the prepared dotfiles now?" ;then
echo "Skipped: DEV MODE!"
fi
elif [ $? -eq 130 ]; then
exit 130
echo ":: Installation cancelled"
exit 130
else
echo ":: Installation cancelled"
exit
fi
echo ""
echo

View File

@ -30,12 +30,14 @@ if [ ! -d ~/dotfiles ];then
disman=0
echo "You have already installed a display manager on your system."
echo "How do you want to proceed?"
echo
dmsel=$(gum choose "Keep current setup" "Deactivate current display manager" "Install sddm and theme")
else
disman=1
echo "There is no display manager installed on your system."
echo "After the installation/update of the dotfiles, you can start Hyprland with command Hyprland and Qtile with commmand Qtile (or startx)."
echo "How do you want to proceed?"
echo
dmsel=$(gum choose "Keep current setup" "Install sddm and theme")
fi
else
@ -43,17 +45,19 @@ else
disman=0
echo "You have already installed a display manager. If your display manager is working fine, you can keep the current setup."
echo "How do you want to proceed?"
echo
dmsel=$(gum choose "Keep current setup" "Deactivate current display manager" "Install sddm and theme")
else
disman=1
echo "There is no display manager installed on your system. You're starting Hyprland/Qtile with commands on tty."
echo "How do you want to proceed?"
echo
dmsel=$(gum choose "Keep current setup" "Install sddm and theme")
fi
fi
if [ -z "${dmsel}" ] ;then
echo "Installation canceled."
echo ":: Installation canceled."
exit
fi
if [ "$dmsel" == "Install sddm and theme" ] ;then

View File

@ -6,9 +6,13 @@ echo -e "${GREEN}"
figlet "Hook"
echo -e "${NONE}"
echo ":: The script has detected a hook.sh script."
echo
if gum confirm "Do you want to run the script now?"; then
source ~/dotfiles-versions/hook.sh
echo ":: hook.sh executed!"
elif [ $? -eq 130 ]; then
echo ":: Installation canceled."
exit 130
else
echo ":: Execution of hook.sh skipped."
fi

View File

@ -7,10 +7,11 @@ echo -e "${NONE}"
if [ -d ~/dotfiles ] ;then
echo "Do you want to check for new packages only (faster installation)"
echo "or do you want to reinstall all packages again? (more robust and can help to fix issues)"
echo
if gum confirm "How do you want to proceed?" --affirmative "New packages only" --negative "Force reinstallation" ;then
force_install=0
elif [ $? -eq 130 ]; then
echo "Installation canceled."
echo ":: Installation canceled."
exit 130
else
force_install=1
@ -18,10 +19,11 @@ if [ -d ~/dotfiles ] ;then
else
echo "Do you want to reinstall all already installed packages and install the required new packages? (recommended and more robust)"
echo "or do you want to install the new required packages only? (could be faster installation)"
echo
if gum confirm "How do you want to proceed?" --affirmative "Reinstall all packages" --negative "Install new packages only" ;then
force_install=1
elif [ $? -eq 130 ]; then
echo "Installation canceled."
echo ":: Installation canceled."
exit 130
else
force_install=0

View File

@ -7,9 +7,13 @@ echo -e "${GREEN}"
figlet "Neovim"
echo -e "${NONE}"
echo ":: The script has detected a nvim folder."
echo
if gum confirm "Do you want to install the ML4W Neovim configuration?"; then
echo ":: ML4W Neovim configuration will be installed"
neovim=1
elif [ $? -eq 130 ]; then
echo ":: Installation canceled."
exit 130
else
rm -rf ~/dotfiles-versions/$version/nvim/
echo ":: Installation of ML4W Neovim configuration skipped."

View File

@ -4,13 +4,13 @@
echo -e "${GREEN}"
figlet "Profile"
echo -e "${NONE}"
echo "SPACE = select/unselect a profile. RETURN = confirm. No selection = CANCEL"
echo "Please select your installation profile."
echo
profile=$(gum choose --no-limit --cursor-prefix "( ) " --selected-prefix "(x) " --unselected-prefix "( ) " "Hyprland" "Qtile")
if [ -z "${profile}" ] ;then
echo "No profile selected. Installation canceled."
echo ":: No profile selected. Installation canceled."
exit
else
echo "Profile/s selected:" $profile
echo ":: Profile/s selected:" $profile
fi

View File

@ -8,8 +8,7 @@ monitorrestored=0
_showRestoreOptions() {
echo "The following configurations can be transferred into the new installation."
echo "(SPACE = select/unselect a profile. RETURN = confirm. CTRL-C/No selection = Skip Restore)"
echo ""
echo
restorelist=""
if [ -f ~/dotfiles/.bashrc ]; then
restorelist+="~/dotfiles/.bashrc "
@ -88,7 +87,7 @@ _showRestoreOptions() {
echo "No files selected to restore."
confirmrestore=$(gum choose "Change restore" "Skip restore")
if [ -z "${confirmrestore}" ] ;then
echo "Installation canceled."
echo ":: Installation canceled."
exit
fi
if [ "$confirmrestore" == "Change restore" ]; then

View File

@ -6,10 +6,12 @@ echo -e "${GREEN}"
figlet "System Update"
echo -e "${NONE}"
echo "It's important that your system is up-to-date before you proceed."
echo
if gum confirm "Do you want to update your system with yay now?" ;then
echo ":: Update started"
yay
elif [ $? -eq 130 ]; then
echo ":: Installation canceled."
exit 130
else
echo ":: System update skipped"

View File

@ -1,12 +1,12 @@
# ------------------------------------------------------
# Check if yay is installed
# ------------------------------------------------------
echo -e "${GREEN}"
figlet "yay"
echo -e "${NONE}"
if sudo pacman -Qs yay > /dev/null ; then
echo ":: yay is already installed!"
else
echo -e "${GREEN}"
figlet "yay"
echo -e "${NONE}"
echo ":: yay is not installed. Starting the installation!"
_installPackagesPacman "base-devel"
SCRIPT=$(realpath "$0")
@ -18,4 +18,4 @@ else
cd $temp_path
echo ":: yay has been installed successfully."
fi
echo ""
echo

View File

@ -1 +1 @@
2.9.1BETA3
2.9.1RC1

View File

@ -1,4 +1,4 @@
# ML4W Dotfiles 2.9.1 BETA3
# ML4W Dotfiles 2.9.1 RC1
An advanced configuration of Hyprland and Qtile for Arch Linux based distributions. This package includes an installation script to install and setup the required components.
@ -50,7 +50,7 @@ The easiest way is to use the setup.sh script. The script will download all file
Just copy/enter the following command into your terminal.
```
bash <(curl -s "https://gitlab.com/stephan-raabe/dotfiles/-/raw/dev/setup.sh")
bash <(curl -s https://gitlab.com/stephan-raabe/dotfiles/-/raw/dev/setup.sh)
```
Alternatively you can install with GIT (see below).

View File

@ -11,3 +11,4 @@ env = QT_AUTO_SCREEN_SCALE_FACTOR,1
env = MOZ_ENABLE_WAYLAND,1
env = GDK_SCALE,1
env = WLR_RENDERER_ALLOW_SOFTWARE, 1
env = WLR_NO_HARDWARE_CURSORS, 1

View File

@ -27,10 +27,10 @@ echo "Version: $version"
echo "by Stephan Raabe 2024"
echo ""
if [ -d ~/dotfiles ] ;then
echo "A ML4W Dotfiles installation has been detected."
echo "This script will guide you through the update process of the ML4W Dotfiles."
echo ":: An existing ML4W Dotfiles installation has been detected."
echo ":: This script will guide you through the update process of the ML4W Dotfiles."
else
echo "This script will guide you through the installation process of the ML4W dotfiles."
echo ":: This script will guide you through the installation process of the ML4W dotfiles."
fi
echo ""
source .install/required.sh